- updated to 1.16.3 (1.18.x uses hotdoc not prepared yet) auto/th/gstreamer-1.16.3-1
authorJakub Bogusz <qboosh@pld-linux.org>
Sat, 13 Mar 2021 07:58:16 +0000 (08:58 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Sat, 13 Mar 2021 07:58:16 +0000 (08:58 +0100)
- removed obsolete make patch

gstreamer-make.patch [deleted file]
gstreamer.spec

diff --git a/gstreamer-make.patch b/gstreamer-make.patch
deleted file mode 100644 (file)
index 75ddfa9..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-make 4.3 no longer recognizes '#' in macros as comment; use workaround to be compatible with old and current make
---- gstreamer-1.16.2/common/gst-glib-gen.mak.orig      2019-04-19 11:16:18.000000000 +0200
-+++ gstreamer-1.16.2/common/gst-glib-gen.mak   2020-03-28 20:29:17.924914360 +0100
-@@ -8,7 +8,8 @@
- #glib_gen_decl_banner=GST_EXPORT
- #glib_gen_decl_include=\#include <gst/foo/foo-prelude.h>
--enum_headers=$(foreach h,$(glib_enum_headers),\n\#include \"$(h)\")
-+gst_hash=\#
-+enum_headers=$(foreach h,$(glib_enum_headers),\n$(gst_hash)include \"$(h)\")
- # these are all the rules generating the relevant files
- $(glib_gen_basename)-marshal.h: $(glib_gen_basename)-marshal.list
index 9193cb92c5097ea7c85dd00959fe51f50a03b90c..4b7a9967ab5719223fa46f46b75bae91c19c14c7 100644 (file)
@@ -4,14 +4,13 @@
 Summary:       GStreamer Streaming-media framework runtime
 Summary(pl.UTF-8):     GStreamer - biblioteki środowiska do obróbki strumieni
 Name:          gstreamer
-Version:       1.16.2
+Version:       1.16.3
 Release:       1
 License:       LGPL v2+
 Group:         Libraries
 Source0:       https://gstreamer.freedesktop.org/src/gstreamer/%{name}-%{version}.tar.xz
-# Source0-md5: 0e661ed5bdf1d8996e430228d022628e
+# Source0-md5: beecf6965a17fb17fa3b262fd36df70a
 Patch0:                %{name}-inspect-rpm-format.patch
-Patch1:                %{name}-make.patch
 URL:           https://gstreamer.freedesktop.org/
 BuildRequires: autoconf >= 2.69
 BuildRequires: automake >= 1:1.14
@@ -35,6 +34,7 @@ BuildRequires:        libunwind-devel
 BuildRequires: perl-base
 BuildRequires: pkgconfig >= 1:0.9.0
 BuildRequires: python >= 2.1
+BuildRequires: rpm-build >= 4.6
 BuildRequires: tar >= 1:1.22
 BuildRequires: xz
 Requires:      glib2 >= 1:2.40.0
@@ -132,7 +132,6 @@ gst-launch.
 %prep
 %setup -q
 %patch0 -p1
-%patch1 -p1
 
 %build
 # po/Makefile.in.in is modified
This page took 0.090507 seconds and 4 git commands to generate.